POST
/v1/mgmt/sso/settings/authtype

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId*string
Length1 <= length
authType*string
Length1 <= length
ssoId?string
Lengthlength <= 254

Set the authentication type of a tenant SSO configuration, using a valid management key. Setting it to none disables the configuration without deleting it, and setting it back to saml or oidc re-enables it with its stored settings.

curl -X POST "https://api.descope.com/v1/mgmt/sso/settings/authtype" \  -H "Content-Type: application/json" \  -d '{    "tenantId": "string",    "authType": "string"  }'
Was this helpful?